### GET /drive/file-entries Source: https://na2.folderfort.com/swagger.yaml Get the list of all file entries you have access to ```markdown ### Parameters - **perPage** (integer (int64), query, optional): How many entries to return per page - **deletedOnly** (boolean, query, optional): Whether only trashed entries should be returned - **starredOnly** (boolean, query, optional): Whether only starred entries should be returned - **recentOnly** (boolean, query, optional): Whether only recent entries should be returned - **sharedOnly** (boolean, query, optional): Whether only entries that have been shared with you should be returned - **query** (string, query, optional): Search query entry names should be filtered on - **type** (string (folder|image|text|audio|video|pdf), query, optional): File type entries should be filtered on - **parentIds** (array (string), query, optional): Only entries that are children of specified folders will be returned - **workspaceId** (integer, query, optional): Only return entries in specified workspace ### Responses #### 200 - Successful operation - Array of FileEntry #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. ### Example Usage ```bash curl -X GET "https://api.example.com/drive/file-entries?perPage=50&deletedOnly=true&starredOnly=true&recentOnly=true&sharedOnly=true&query=string&type=folder&parentIds=item1,item2&workspaceId=0" ``` ``` -------------------------------- ### GET /file-entries/{entryId}/shareable-link Source: https://na2.folderfort.com/swagger.yaml API endpoint for GET /file-entries/{entryId}/shareable-link ```markdown ### Parameters - **entryId** (integer (int64), path, required): ID or hash of entry for which to get shareable link ### Responses #### 200 - successful operation **Shareable-Link-Response** - **status** (string) (example: "success") - **link** (object) - **id** (integer (int64)) - **hash** (string): ID for link that will be visible in url (example: "3h8N1nxZq7WtyRmXDIosFupSl9MCrD") - **password** (string): Passwords are hashed, so this will not match the password that was entered in plain text (example: "$2y$10$BI8kz6zFeB0CA0P425eMSe7KJcm8OKjWijHTQrRP.cjqRtynMq4Sy") - **user_id** (integer (int64)): ID of user that created this link - **entry_id** (integer (int64)): ID of file entry this link is attached to - **entry** (object) - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") - **expires_at** (string) (example: "2021-03-06T17:34:00.000000Z") - **allow_edit** (boolean) (example: false) - **allow_download** (boolean) (example: false) - **folderChildren** (array (FileEntry)): If link is for folder, this will list immediate children of that folder Array items: - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 404 - File entry or shareable link not found File entry or shareable link not found #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X GET "https://api.example.com/file-entries/{entryId}/shareable-link" ``` ``` -------------------------------- ### PUT /file-entries/{entryId}/change-permissions Source: https://na2.folderfort.com/swagger.yaml API endpoint for PUT /file-entries/{entryId}/change-permissions ```markdown ### Parameters - **entryId** (integer, path, required) ### Request Body **Content-Type:** application/json - **userId** (integer) - **permissions** (array (string (view|edit|download))) ### Responses #### 200 - Changed permissions successfully - **status** (string) (example: "success") - **users** (array (User)) Array items: - **id** (integer (int64)) - **access_token** (string): Access token that can be used to authenticate API requests for this user - **display_name** (string) - **first_name** (string) - **last_name** (string) - **email** (string) - **created_at** (string) (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string) (example: "2021-02-23T14:42:38.000000Z") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X PUT "https://api.example.com/file-entries/{entryId}/change-permissions" \ -H "Content-Type: application/json" \ -d '{ "userId": "0", "permissions": [ "edit" ] }' ``` ``` -------------------------------- ### POST /file-entries/{entryId}/share Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/{entryId}/share ```markdown ### Parameters - **entryId** (integer, path, required) ### Request Body **Content-Type:** application/json - **emails** (array (string)) - **permissions** (array (string (view|edit|download))) ### Responses #### 200 - Shared file entry successfully - **status** (string) (example: "success") - **users** (array (User)) Array items: - **id** (integer (int64)) - **access_token** (string): Access token that can be used to authenticate API requests for this user - **display_name** (string) - **first_name** (string) - **last_name** (string) - **email** (string) - **created_at** (string) (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string) (example: "2021-02-23T14:42:38.000000Z") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/{entryId}/share" \ -H "Content-Type: application/json" \ -d '{ "emails": [ "example@gmail.com" ], "permissions": [ "edit" ] }' ``` ``` -------------------------------- ### POST /file-entries/restore Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/restore ```markdown ### Request Body **Content-Type:** application/json - **entryIds** (array (integer (int32))) (required): List of entry IDs ### Responses #### 200 - successful operation - **status** (string) (example: "success") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/restore" \ -H "Content-Type: application/json" \ -d '{ "entryIds": [ "0" ] }' ``` ``` -------------------------------- ### POST /file-entries/move Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/move ```markdown ### Request Body **Content-Type:** application/json - **entryIds** (array (integer (int32))) (required): List of entry ids - **destinationId** (integer (int32)): ID of folder specified entries should be moved to (example: null) ### Responses #### 200 - File entries moved successfully - **status** (string) (example: "success") - **entries** (array (FileEntry)) Array items: - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/move" \ -H "Content-Type: application/json" \ -d '{ "entryIds": [ "0" ], "destinationId": null }' ``` ``` -------------------------------- ### POST /file-entries/duplicate Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/duplicate ```markdown ### Request Body **Content-Type:** application/json - **entryIds** (array (integer (int32))) (required): List of entry ids - **destinationId** (integer (int32)): ID of folder specified entries should be moved to (example: null) ### Responses #### 200 - File entries duplicated successfully - **status** (string) (example: "success") - **entries** (array (FileEntry)) Array items: - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/duplicate" \ -H "Content-Type: application/json" \ -d '{ "entryIds": [ "0" ], "destinationId": null }' ``` ``` -------------------------------- ### PUT /file-entries/{entryId} Source: https://na2.folderfort.com/swagger.yaml API endpoint for PUT /file-entries/{entryId} ```markdown ### Parameters - **entryId** (integer, path, required) ### Request Body **Content-Type:** application/json - **name** (string) (example: "New name for the entry") - **description** (string) (example: "New description for the entry") ### Responses #### 200 - Entry updated - **status** (string) (example: "success") - **fileEntry** (object) - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X PUT "https://api.example.com/file-entries/{entryId}" \ -H "Content-Type: application/json" \ -d '{ "name": "New name for the entry", "description": "New description for the entry" }' ``` ``` -------------------------------- ### POST /folders Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /folders ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (example: "new folder name") - **parentId** (integer): ID of parent folder or null if it should be created at root (example: null) ### Responses #### 200 - Folder created - **status** (string) (example: "success") - **folder** (object) - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/folders" \ -H "Content-Type: application/json" \ -d '{ "name": "new folder name", "parentId": null }' ``` ``` -------------------------------- ### Schema: User Source: https://na2.folderfort.com/swagger.yaml Schema definition for User ```markdown ## Schema: User Schema definition for User **Type:** object - **id** (integer (int64)) - **access_token** (string): Access token that can be used to authenticate API requests for this user - **display_name** (string) - **first_name** (string) - **last_name** (string) - **email** (string) - **created_at** (string) (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string) (example: "2021-02-23T14:42:38.000000Z") ``` -------------------------------- ### POST /file-entries/unstar Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/unstar ```markdown ### Request Body **Content-Type:** application/json - **entryIds** (array (integer)) ### Responses #### 200 - Unmarked as starred successfully - **status** (string) (example: "success") - **tag** (object) - **id** (integer (int64)) - **name** (string) #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/unstar" \ -H "Content-Type: application/json" \ -d '{ "entryIds": [ "0" ] }' ``` ``` -------------------------------- ### POST /file-entries/{entryId}/shareable-link Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/{entryId}/shareable-link ```markdown ### Parameters - **entryId** (integer (int64), path, required): ID or hash of entry for which to get shareable link ### Request Body **Content-Type:** application/json - **password** (string) (example: "new password") - **expires_at** (string): 2021-03-06T17:34:00.000000Z - **allow_edit** (boolean) (example: false) - **allow_download** (boolean) (example: false) ### Responses #### 200 - Shareable link created - **status** (string) (example: "success") - **link** (object) - **id** (integer (int64)) - **hash** (string): ID for link that will be visible in url (example: "3h8N1nxZq7WtyRmXDIosFupSl9MCrD") - **password** (string): Passwords are hashed, so this will not match the password that was entered in plain text (example: "$2y$10$BI8kz6zFeB0CA0P425eMSe7KJcm8OKjWijHTQrRP.cjqRtynMq4Sy") - **user_id** (integer (int64)): ID of user that created this link - **entry_id** (integer (int64)): ID of file entry this link is attached to - **entry** (object) - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") - **expires_at** (string) (example: "2021-03-06T17:34:00.000000Z") - **allow_edit** (boolean) (example: false) - **allow_download** (boolean) (example: false) #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/{entryId}/shareable-link" \ -H "Content-Type: application/json" \ -d '{ "password": "new password", "expires_at": "string", "allow_edit": false, "allow_download": false }' ``` ``` -------------------------------- ### POST /file-entries/star Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /file-entries/star ```markdown ### Request Body **Content-Type:** application/json - **entryIds** (array (integer)) ### Responses #### 200 - Marked as starred successfully - **status** (string) (example: "success") - **tag** (object) - **id** (integer (int64)) - **name** (string) #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/file-entries/star" \ -H "Content-Type: application/json" \ -d '{ "entryIds": [ "0" ] }' ``` ``` -------------------------------- ### Schema: FileEntry Source: https://na2.folderfort.com/swagger.yaml Schema definition for FileEntry ```markdown ## Schema: FileEntry Schema definition for FileEntry **Type:** object - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") ``` -------------------------------- ### PUT /file_entries/{entryId}/shareable-link Source: https://na2.folderfort.com/swagger.yaml API endpoint for PUT /file_entries/{entryId}/shareable-link ```markdown ### Parameters - **entryId** (integer (int64), path, required) ### Request Body **Content-Type:** application/json - **password** (string) (example: "new password") - **expires_at** (string): 2021-03-06T17:34:00.000000Z - **allow_edit** (boolean) (example: false) - **allow_download** (boolean) (example: false) ### Responses #### 200 - Shareable link updated - **status** (string) (example: "success") - **link** (object) - **id** (integer (int64)) - **hash** (string): ID for link that will be visible in url (example: "3h8N1nxZq7WtyRmXDIosFupSl9MCrD") - **password** (string): Passwords are hashed, so this will not match the password that was entered in plain text (example: "$2y$10$BI8kz6zFeB0CA0P425eMSe7KJcm8OKjWijHTQrRP.cjqRtynMq4Sy") - **user_id** (integer (int64)): ID of user that created this link - **entry_id** (integer (int64)): ID of file entry this link is attached to - **entry** (object) - **id** (integer (int64)) - **name** (string) (example: "image.png") - **file_name** (string): actual file name for this entry on storage (example: "j6oWHDG1z613UqFHLZpE1Yrqngw0N8XLuGNLNWJV") - **file_size** (integer (int64)): In bytes (example: 111863) - **parent_id** (integer (int64)): Parent folder ID (example: 1) - **parent** (object) - **thumbnail** (string): Relative path to thumbnail image for the file (if it exists) (example: "thumbnail.png") - **mime** (string) (example: "image/png") - **url** (string): relative url for previewing file or folder contents (example: "secure/uploads/3260") - **hash** (string) (example: "MzI2MHxwYWRkaQ") - **type** (string (image|folder|text|audio|video|pdf)) ("image"|"folder"|"text"|"audio"|"video"|"pdf") - **description** (string) (example: "Example description entered by user") - **deleted_at** (string): date entry was moved to trash (if it's in trash currently) (example: "2021-02-23T14:42:38.000000Z") - **created_at** (string): date entry was uploaded (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string): date entry was last modified (content, name or location changed) (example: "2021-02-23T14:42:38.000000Z") - **path** (string): full path of parent folder IDs for this entry up to root (example: "3260/3261/3262") - **users** (array (object)) Array items: - **id** (integer (int64)) - **email** (string) (example: "example@gmail.com") - **expires_at** (string) (example: "2021-03-06T17:34:00.000000Z") - **allow_edit** (boolean) (example: false) - **allow_download** (boolean) (example: false) #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 404 - Shareable link not found Shareable link not found #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X PUT "https://api.example.com/file_entries/{entryId}/shareable-link" \ -H "Content-Type: application/json" \ -d '{ "password": "new password", "expires_at": "string", "allow_edit": false, "allow_download": false }' ``` ``` -------------------------------- ### Schema: 401-Response Source: https://na2.folderfort.com/swagger.yaml Unauthenticated. Either access token is not provided or is invalid. ```markdown ## Schema: 401-Response Unauthenticated. Either access token is not provided or is invalid. **Type:** object ``` -------------------------------- ### POST /auth/register Source: https://na2.folderfort.com/swagger.yaml API endpoint for POST /auth/register ```markdown ### Request Body **Content-Type:** application/json - **email** (string) (example: "example@gmail.com") - **password** (string) (example: "password") - **token_name** (string) (example: "iphone 12") ### Responses #### 200 - User registered - **status** (string) (example: "success") - **user** (object) - **id** (integer (int64)) - **access_token** (string): Access token that can be used to authenticate API requests for this user - **display_name** (string) - **first_name** (string) - **last_name** (string) - **email** (string) - **created_at** (string) (example: "2021-02-23T14:42:38.000000Z") - **updated_at** (string) (example: "2021-02-23T14:42:38.000000Z") #### 401 - response Unauthenticated. Either access token is not provided or is invalid. #### 403 - response Unauthorized access. You don't have permissions required to perform this operation. #### 422 - Invalid data specified **422-Response** - **status** (string) (example: "error") - **message** (string) (example: "Reason for the error") - **errors** (object) - **some_data_1** (string) (example: "Error message for data 1") - **some_data_2** (string) (example: "Error message for data 2") ### Example Usage ```bash curl -X POST "https://api.example.com/auth/register" \ -H "Content-Type: application/json" \ -d '{ "email": "example@gmail.com", "password": "password", "token_name": "iphone 12" }' ``` ``` -------------------------------- ### Security: accessToken Source: https://na2.folderfort.com/swagger.yaml Security scheme: accessToken ```markdown ## Security: accessToken **Description:** Security scheme: accessToken **Type:** http **Scheme:** bearer ```